<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/19/18
 * Time: 5:54 PM
 */

namespace Orbipay\PaymentsApi\Client\Constant;


class RestConstants
{

    const CONTENT_TYPE_JSON = 'application/json';
    const SECURE_HTTP_PROTOCOL = 'https';

    const PRODUCTION_API_END_POINT = 'https://api.orbipay.com/payments/v1';
    const SANDBOX_API_END_POINT = 'https://sbapi.orbipay.com/payments/v1';
    const BASE_PATH = '/payments/v1';

    const ERROR_TECH_DIFFICULTIES_CODE = 'error_tech_difficulties';
    const ERROR_TECH_DIFFICULTIES_MESSAGE = 'There is a problem processing this request due to technical difficulties.';

    const ERROR_FIELD_CODE = 'error_field';
    const ERROR_FIELD_MESSAGE = 'The error returned if a mandatory field is missing value or if the value is invalid. This is accompanied by the field that caused the error.';


    const ORBIPAY_HASHING_ALGORITHM = 'OPAY1-HMAC-SHA256';
    const USER_AGENT = 'Swagger-Codegen/1.0.0/php';
    const HASHING_ALGORITHM = 'sha256';

    const OS_NAME = 'os.name';
    const OS_VERSION = 'os.version';
    const OS_ARCH = 'os.arch';
    const JAVA_VERSION = 'java.version';
    const JAVA_VM_NAME = 'java.vm.name';
    const JAVA_RUNTIME_VERSION = 'java.runtime.version';
    const IMPLEMENTATION_VERSION = 'Implementation-Version';
    const IMPLEMENTATION_TITLE = 'Implementation-Title';
    const BUILD_TIME = 'Build-time';
    const REVISION = 'Revision';
    const BUILD_PROPERTY_FILE_NAME = 'orbipay-paymentsapi-client_old-build_info.properties';

    const TIME_STAMP_FORMAT = 'Y-m-d\ H:i:s.vP';
    const DATE_FORMAT = 'Y-m-d';
    const CURRENT_TIME = 'now';
    const RESPONSE_CODES_DELIMITER = ',';
    const RESPONSE_TEXT_DELIMITER = '|';
    const LOCALE_DELIMITER = '_';
    const QUERY_ID_DELIMITER = '=';

    const CLIENT_SIDE_VALIDATION_FAILURE = 'Client Side Validation Failure.';

    const DEFAULT_HTTP_TIMEOUT = 60;

    const ORBIPAY_API_CLIENT_TIMEOUT_SECONDS = 'ORBIPAY_API_CLIENT_TIMEOUT_SECONDS';
}