<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/18/18
 * Time: 5:42 PM
 */

namespace Orbipay\PaymentsApi\Client\Enum;


class PaymentAmountType extends Enum
{
    const CURRENT_BALANCE = 'current_balance';
    const MINIMUM_PAYMENT_DUE = 'minimum_payment_due';
    const PAST_PAYMENT_DUE = 'past_payment_due';
    const STATEMENT_BALANCE = 'statement_balance';
    const DISCOUNTED_AMOUNT = 'discounted_amount';
    const PENALTY_AMOUNT = 'penalty_amount';
    const OTHER = 'other';

    /**
     * @method static PaymentAmountType CURRENT_BALANCE()
     * @method static PaymentAmountType MINIMUM_PAYMENT_DUE()
     * @method static PaymentAmountType PAST_PAYMENT_DUE()
     * @method static PaymentAmountType STATEMENT_BALANCE()
     * @method static PaymentAmountType DISCOUNTED_AMOUNT()
     * @method static PaymentAmountType PENALTY_AMOUNT()
     * @method static PaymentAmountType OTHER()
     */
}