<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 8/21/18
 * Time: 1:38 PM
 */

namespace Orbipay\PaymentsApi\Client\Model\Base;
/**
 * @internal
 */
class FormParamData implements \JsonSerializable
{
    /**
     * @var string
     */
    private $ssn;

    /**
     * @var string
     */
    private $email;

    /**
     * @var string
     */
    private $account_number;

    /**
     * @var string
     */
    private $aba_routing_number;

    /**
     * @var string
     */
    private $customer_reference;

    /**
     * @var array
     */
    private $account_type;

    /**
     * @var array
     */
    private $account_subtype;

    /**
     * @var array
     */
    private $status;

    /**
     * @return string
     */
    public function getSsn()
    {
        return $this->ssn;
    }

    /**
     * @param string $ssn
     */
    public function setSsn($ssn = null)
    {
        $this->ssn = $ssn;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param string $email
     */
    public function setEmail($email = null)
    {
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getAccountNumber()
    {
        return $this->account_number;
    }

    /**
     * @param string $account_number
     */
    public function setAccountNumber($account_number = null)
    {
        $this->account_number = $account_number;
    }

    /**
     * @return string
     */
    public function getAbaRoutingNumber()
    {
        return $this->aba_routing_number;
    }

    /**
     * @param string $aba_routing_number
     */
    public function setAbaRoutingNumber($aba_routing_number = null)
    {
        $this->aba_routing_number = $aba_routing_number;
    }

    /**
     * @return string
     */
    public function getCustomerReference()
    {
        return $this->customer_reference;
    }

    /**
     * @param string $customer_reference
     */
    public function setCustomerReference($customer_reference = null)
    {
        $this->customer_reference = $customer_reference;
    }

    /**
     * @return array
     */
    public function getAccountType()
    {
        return $this->account_type;
    }

    /**
     * @param array $account_type
     */
    public function setAccountType(array $account_type = null)
    {
        $this->account_type = $account_type;
    }

    /**
     * @return array
     */
    public function getAccountSubtype()
    {
        return $this->account_subtype;
    }

    /**
     * @param array $account_subtype
     */
    public function setAccountSubtype(array $account_subtype = null)
    {
        $this->account_subtype = $account_subtype;
    }

    /**
     * @return array
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param array $status
     */
    public function setStatus(array $status = null)
    {
        $this->status = $status;
    }

    /**
     * Specify data which should be serialized to JSON
     * @link http://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    public function jsonSerialize()
    {
        return get_object_vars($this);
    }
}