<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 8/21/18
 * Time: 1:38 PM
 */

namespace Orbipay\PaymentsApi\Client\Model\Base;
/**
 * @internal
 */
class PathParamData implements \JsonSerializable
{
    /**
     * @var string
     */
    private $id_customer_account;

    /**
     * @var string
     */
    private $id_payment;

    /**
     * @var string
     */
    private $id_customer;

    /**
     * @var string
     */
    private $id_funding_account;

    /**
     * @var string
     */
    private $id_fee;

    /**
     * @var string
     */
    private $id_payment_setup;

    /**
     * @var string
     */
    private $id_refund;

    /**
     * @return string
     */
    public function getIdCustomerAccount()
    {
        return $this->id_customer_account;
    }

    /**
     * @param string $id_customer_account
     */
    public function setIdCustomerAccount($id_customer_account = null)
    {
        $this->id_customer_account = $id_customer_account;
    }

    /**
     * @return string
     */
    public function getIdPayment()
    {
        return $this->id_payment;
    }

    /**
     * @param string $id_payment
     */
    public function setIdPayment($id_payment = null)
    {
        $this->id_payment = $id_payment;
    }

    /**
     * @return string
     */
    public function getIdCustomer()
    {
        return $this->id_customer;
    }

    /**
     * @param string $id_customer
     */
    public function setIdCustomer($id_customer = null)
    {
        $this->id_customer = $id_customer;
    }

    /**
     * @return string
     */
    public function getIdFundingAccount()
    {
        return $this->id_funding_account;
    }

    /**
     * @param string $id_funding_account
     */
    public function setIdFundingAccount($id_funding_account = null)
    {
        $this->id_funding_account = $id_funding_account;
    }

    /**
     * @return string
     */
    public function getIdFee()
    {
        return $this->id_fee;
    }

    /**
     * @param string $id_fee
     */
    public function setIdFee($id_fee = null)
    {
        $this->id_fee = $id_fee;
    }

    /**
     * @return string
     */
    public function getIdPaymentSetup()
    {
        return $this->id_payment_setup;
    }

    /**
     * @param string $id_payment_setup
     */
    public function setIdPaymentSetup($id_payment_setup = null)
    {
        $this->id_payment_setup = $id_payment_setup;
    }

    /**
     * @return string
     */
    public function getIdRefund()
    {
        return $this->id_refund;
    }

    /**
     * @param string $id_refund
     */
    public function setIdRefund($id_refund = null)
    {
        $this->id_refund = $id_refund;
    }

    /**
     * Specify data which should be serialized to JSON
     * @link http://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    public function jsonSerialize()
    {
        return get_object_vars($this);
    }
}