<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 8/21/18
 * Time: 1:38 PM
 */

namespace Orbipay\PaymentsApi\Client\Model\Base;
/**
 * @internal
 */
class QueryParamData implements \JsonSerializable
{
    /**
     * @var string
     */
    private $page_size;

    /**
     * @var string
     */
    private $id_customer;

    /**
     * @var string
     */
    private $id_funding_account;

    /**
     * @var string
     */
    private $id_customer_account;

    /**
     * @var string
     */
    private $confirmation_number;

    /**
     * @var string
     */
    private $from_date;

    /**
     * @var string
     */
    private $to_date;

    /**
     * @var string
     */
    private $from_index;

    /**
     * @var string
     */
    private $to_index;

    /**
     * @var string
     */
    private $query_id;

    /**
     * @var array
     */
    private $status;

    /**
     * @var array
     */
    private $payment_schedule_type;

    /**
     * @var array
     */
    private $txn_pymnt_schld_type;

    /**
     * @var array
     */
    private $payment_setup_schedule_type;

    /**
     * @var string
     */
    private $save_funding_account;

    /**
     * @return string
     */
    public function getSaveFundingAccount()
    {
        return $this-> save_funding_account;
    }

    /**
     * @param string $save_funding_account
     */
    public function setSaveFundingAccount($save_funding_account = null)
    {
        $this->save_funding_account = $save_funding_account;
    }


    /**
     * @return string
     */
    public function getPageSize()
    {
        return $this->page_size;
    }

    /**
     * @param string $page_size
     */
    public function setPageSize($page_size = null)
    {
        $this->page_size = $page_size;
    }

    /**
     * @return string
     */
    public function getIdCustomer()
    {
        return $this->id_customer;
    }

    /**
     * @param string $id_customer
     */
    public function setIdCustomer($id_customer = null)
    {
        $this->id_customer = $id_customer;
    }

    /**
     * @return string
     */
    public function getIdFundingAccount()
    {
        return $this->id_funding_account;
    }

    /**
     * @param string $id_funding_account
     */
    public function setIdFundingAccount($id_funding_account = null)
    {
        $this->id_funding_account = $id_funding_account;
    }

    /**
     * @return string
     */
    public function getIdCustomerAccount()
    {
        return $this->id_customer_account;
    }

    /**
     * @param string $id_customer_account
     */
    public function setIdCustomerAccount($id_customer_account = null)
    {
        $this->id_customer_account = $id_customer_account;
    }

    /**
     * @return string
     */
    public function getConfirmationNumber()
    {
        return $this->confirmation_number;
    }

    /**
     * @param string $confirmation_number
     */
    public function setConfirmationNumber($confirmation_number = null)
    {
        $this->confirmation_number = $confirmation_number;
    }

    /**
     * @return string
     */
    public function getFromDate()
    {
        return $this->from_date;
    }

    /**
     * @param string $from_date
     */
    public function setFromDate($from_date = null)
    {
        $this->from_date = $from_date;
    }

    /**
     * @return string
     */
    public function getToDate()
    {
        return $this->to_date;
    }

    /**
     * @param string $to_date
     */
    public function setToDate($to_date = null)
    {
        $this->to_date = $to_date;
    }

    /**
     * @return string
     */
    public function getFromIndex()
    {
        return $this->from_index;
    }

    /**
     * @param string $from_index
     */
    public function setFromIndex($from_index = null)
    {
        $this->from_index = $from_index;
    }

    /**
     * @return string
     */
    public function getToIndex()
    {
        return $this->to_index;
    }

    /**
     * @param string $to_index
     */
    public function setToIndex($to_index = null)
    {
        $this->to_index = $to_index;
    }

    /**
     * @return string
     */
    public function getQueryId()
    {
        return $this->query_id;
    }

    /**
     * @param string $query_id
     */
    public function setQueryId($query_id = null)
    {
        $this->query_id = $query_id;
    }

    /**
     * @return array
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param array $status
     */
    public function setStatus(array $status = null)
    {
        $this->status = $status;
    }

    /**
     * @return array
     */
    public function getPaymentScheduleType()
    {
        return $this->payment_schedule_type;
    }

    /**
     * @param array $payment_schedule_type
     */
    public function setPaymentScheduleType(array $payment_schedule_type = null)
    {
        $this->payment_schedule_type = $payment_schedule_type;
    }

    /**
     * @return array
     */
    public function getTxnPymntSchldType()
    {
        return $this->txn_pymnt_schld_type;
    }

    /**
     * @param array $txn_pymnt_schld_type
     */
    public function setTxnPymntSchldType(array $txn_pymnt_schld_type = null)
    {
        $this->txn_pymnt_schld_type = $txn_pymnt_schld_type;
    }

    /**
     * @return array
     */
    public function getPaymentSetupScheduleType()
    {
        return $this->payment_setup_schedule_type;
    }

    /**
     * @param array $payment_setup_schedule_type
     */
    public function setPaymentSetupScheduleType(array  $payment_setup_schedule_type = null)
    {
        $this->payment_setup_schedule_type = $payment_setup_schedule_type;
    }

    /**
     * Specify data which should be serialized to JSON
     * @link http://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    public function jsonSerialize()
    {
        return get_object_vars($this);
    }
}