# Changelog

##[1.4.0] - 2020-03-05
### Added
- Simple Payment API
- Renewal Customer Account API
- Get Refund API
- Retrieve Refund API
- AuditInfo segment added in all resources
- payment_network_response added payment, payment Setup and Refund resources
- address_city attribute length enhanced from 20 characters to 50 characters
- customer account account_number regx enhanced with space and single quote


##[1.3.3] - 2020-02-19
# Fixed
- Made attributes optional in the InvocationContext.


##[1.3.2] - 2020-02-19
# Enhancement
- Customer account number enhanced to accept space and single quote as part of its regex


##[1.3.1] - 2020-02-06
### Fixed
- removed custom fields validation


##[1.3.0] - 2020-01-28
### Added
- Replace Funding Account API
- Update Payment Setup API
- registered_email attribute to Customer Resource
- customer_reference attribute in Payment and Payment Setup resource under customer object 


## [1.2.1] - 2019-12-24
### Fixed
- Now sending 'status', 'customer_accounts[n].status' values to the server in the 'Update Customer' call.
- Populating 'customer_accounts.url' value in 'Create Customer', 'Get Customer' and 'Update Customer' calls Response.
- Populating 'list[n].customer_accounts.url' value in 'Retrieve Customers' call Response
### Changed
- Cleaned up logs.


## [1.2.0] - 2019-12-14
### Changed
- Minimum length of account_number of 'Customer Account' is updated from 4 to 1 character.
- Maximum length of 'nickname' of both 'Customer' and 'Funding Account' maximum length updated from 32 to 50 characters.


## [1.1.0] - 2019-05-21
### Added
- CHANGELOG.md file
### Changed
- Namespace for Swagger generated code
- Values of constants AppErrorCodes::CLIENT_KEY_INVALID , AppErrorCodes::REQUESTOR_INVALID, AppErrorCodes::REQUESTOR_TYPE_INVALID, AppErrorCodes::CHANNEL_INVALID, AppErrorCodes::PRODUCT_INVALID
- Name of 'Orbi**P**ayApiException' to 'Orbi**p**ayApiException'
- Value of User-Agent request header
### Fixed 
- Fixed README.md
