<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/24/18
 * Time: 4:25 PM
 */

namespace Orbipay\PaymentsApi\Client\Constant;


class AppErrorCodes
{
    /*error_tech_diff*/
    const SYSTEM_ERROR = '100';

    /*custom_field*/
    const CUSTOM_FIELD_KEY_INVALID = '3142';
    const CUSTOM_FIELD_VALUE_LENGTH_INVALID = '3160';
    const CUSTOM_FIELD_VALUE_INVALID = '1052';

    /*pagination*/
    const PAGE_SIZE_INVALID = '770';
    const FROM_INDEX_INVALID = '1013';
    const TO_INDEX_INVALID = '1014';
    const QUERY_ID_INVALID = '769';

    /*comments*/
    const COMMENTS_INVALID = '5161';

    /*customer*/
    const FIRST_NAME_INVALID = '405';
    const LAST_NAME_INVALID = '406';
    const MIDDLE_NAME_INVALID = '407';
    const DATE_OF_BIRTH_INVALID = '419';
    const SSN_INVALID = '404';
    const LOCALE_INVALID = '443';
    const EMAIL_INVALID = '418';
    const HOME_PHONE_INVALID = '415';
    const WORK_PHONE_INVALID = '417';
    const MOBILE_PHONE_INVALID = '416';
    const CUSTOMER_ADDRESS_LINE1_INVALID = '408';
    const CUSTOMER_ADDRESS_LINE2_INVALID = '409';
    const CUSTOMER_ADDRESS_CITY_INVALID = '410';
    const CUSTOMER_ADDRESS_STATE_INVALID = '411';
    const CUSTOMER_ADDRESS_COUNTRY_INVALID = '414';
    const CUSTOMER_ADDRESS_ZIP1_INVALID = '412';
    const CUSTOMER_ADDRESS_ZIP2_INVALID = '413';
    const CUSTOMER_REFERENCE_INVALID = '5002';
    const CUSTOMER_STATUS_INVALID = '442';
    const ID_CUSTOMER_INVALID = '441';
    const GENDER_INVALID = '';

    /*customer_account*/
    const CUSTOMER_ACCOUNT_HOLDER_NAME_INVALID = '5007';
    const CUSTOMER_ACCOUNT_NICKNAME_INVALID = '5008';
    const CUSTOMER_ACCOUNT_NUMBER_INVALID = '5009';
    const CUSTOMER_ACCOUNT_ADDRESS_LINE1_INVALID = '5016';
    const CUSTOMER_ACCOUNT_ADDRESS_LINE2_INVALID = '5017';
    const CUSTOMER_ACCOUNT_ADDRESS_CITY_INVALID = '5018';
    const CUSTOMER_ACCOUNT_ADDRESS_STATE_INVALID = '5019';
    const CUSTOMER_ACCOUNT_ADDRESS_COUNTRY_INVALID = '5020';
    const CUSTOMER_ACCOUNT_ADDRESS_ZIP1_INVALID = '5021';
    const CUSTOMER_ACCOUNT_ADDRESS_ZIP2_INVALID = '5022';
    const CUSTOMER_ACCOUNT_REFERENCE_INVALID = '5005';
    const CURRENT_BALANCE_INVALID = '421';
    const CURRENT_STATEMENT_BALANCE_INVALID = '422';
    const MINIMUM_PAYMENT_DUE_INVALID = '423';
    const PAST_AMOUNT_DUE_INVALID = '5014';
    const PAYMENT_DUE_DATE_INVALID = '420';
    const CUSTOMER_ACCOUNT_STATUS_INVALID = '5013';
    const ACCOUNT_NUMBER_INVALID = '403';
    const STATEMENT_DATE_INVALID = '5170';
    const FORM_PARAM_CUSTOMER_ACCOUNT_NUMBER_INVALID = '5009';

    /*funding_account*/
    const FUNDING_ACCOUNT_HOLDER_NAME_INVALID = '5024';
    const FUNDING_ACCOUNT_NICKNAME_INVALID = '5030';
    const FUNDING_ACCOUNT_NUMBER_MANDATORY = '750';
    const FUNDING_ACCOUNT_NUMBER_INVALID = '750';
    const FUNDING_ACCOUNT_ADDRESS_LINE1_INVALID = '5031';
    const FUNDING_ACCOUNT_ADDRESS_LINE2_INVALID = '5032';
    const FUNDING_ACCOUNT_ADDRESS_CITY_INVALID = '5033';
    const FUNDING_ACCOUNT_ADDRESS_STATE_INVALID = '5034';
    const FUNDING_ACCOUNT_ADDRESS_COUNTRY_INVALID = '5035';
    const FUNDING_ACCOUNT_ADDRESS_ZIP1_INVALID = '5036';
    const FUNDING_ACCOUNT_ADDRESS_ZIP2_INVALID = '5037';
    const ABA_ROUTING_NUMBER_INVALID = '754';
    const FUNDING_ACCOUNT_SUBTYPE_INVALID = '5026';
    const EXPIRY_DATE_INVALID = '529';
    const FUNDING_ACCOUNT_STATUS_INVALID = '5027';
    const PAYMENT_CARD_CVV_NUMBER_INVALID = '5100';
    const EXT_ISSUED_FUNDING_ACCOUNT_INVALID = '5023';
    const ACCOUNT_HOLDER_TYPE_INVALID = '985';
    const ERROR_FUND_ACCT_INVALID = '589';
    const FORM_PARAM_FUNDING_ACCOUNT_NUMBER_INVALID = '5042';
    const FORM_PARAM_FUNDING_ACCOUNT_STATUS_INVALID = '448';
    const FORM_PARAM_FUNDING_ACCOUNT_SUBTYPE_INVALID = '5026';
    const FORM_PARAM_FUNDING_ACCOUNT_ABA_ROUTING_NUMBER_INVALID = '5043';
    const FORM_PARAM_FUNDING_ACCOUNT_TYPE_INVALID = '5025';

    /*payment*/
    const PAYMENT_REFERENCE_INVALID = '574';
    const PAYER_ID_INVALID = '932';
    const AMOUNT_INVALID = '459';
    const CARD_CVV_NUMBER_INVALID = '539';
    const PAYMENT_DATE_INVALID = '457';
    const PAYMENT_METHOD_INVALID = '429';
    const FEE_AMOUNT_INVALID = '5039';
    const FEE_TYPE_INVALID = '579';
    const PAYMENT_SCHEDULE_TYPE_INVALID = '501';
    const ID_FUNDING_ACCOUNT_INVALID = '582';
    const ID_PAYMENT_INVALID = '575';
    const INVALID_COMMENTS = '5161';
    const RECURRING_PAYMENT_AMOUNT_TYPE_INVALID = '5038';
    const PAYMENT_REQUEST_DATE_INVALID = '5413';
    const TRANSACTION_TYPE_INVALID = '501';
    const ERROR_SEGMENT_MISSING = '100';
    const QUERY_PARAM_PAYMENT_STATUS_INVALID = '5040';
    const PAYMENT_CONFIRMATION_NUMBER_INVALID = '583';
    const PAYMENT_FROM_DATE_INVALID = '584';
    const PAYMENT_TO_DATE_INVALID = '585';

    /*fee*/
    const ID_FEE_INVALID = '575';

    /*payment_setup*/
    const PAYMENT_SETUP_REFERENCE_INVALID = '574';
    const PAYMENT_SETUP_AMOUNT_INVALID = '459';
    const PAYMENT_SETUP_CARD_CVV_NUMBER_INVALID = '539';
    const PAYMENT_SETUP_PAYMENT_METHOD_INVALID = '429';
    const PAYMENT_SETUP_FEE_AMOUNT_INVALID = '5039';
    const PAYMENT_SETUP_FEE_TYPE_INVALID = '579';
    const ID_CUSTOMER_ACCOUNT_INVALID = '581';
    const PAYMENT_SETUP_SCHEDULE_TYPE_INVALID = '501';
    const PAYMENT_RECURRING_TYPE_INVALID = '576';
    const PAYMENT_RECURRING_COUNT_INVALID = '577';
    const PAYMENT_AMOUNT_TYPE_INVALID = '5038';
    const PAYMENT_START_DATE_INVALID = '464';
    const PAYMENT_END_DATE_INVALID = '466';
    const PAYMENT_LIMIT_AMOUNT_INVALID = '1054';
    const ID_PAYMENT_SETUP_INVALID = '575';
    const PAYMENT_PLAN_ID_INVALID = '675';
    const PAYMENT_DEFER_DAYS_INVALID = '5414';
    const QUERY_PARAM_PAYMENT_SETUP_STATUS_INVALID = '5040';
    const PAYMENT_SETUP_CONFIRMATION_NUMBER_INVALID = '583';
    const PAYMENT_SETUP_FROM_DATE_INVALID = '584';
    const PAYMENT_SETUP_TO_DATE_INVALID = '585';

    /*refund*/
    const PAYMENT_ID_INVALID = '1040';
    const CUSTOMER_ID_INVALID = '759';
    const REFUND_AMOUNT_INVALID = '1039';
    const REFUND_TYPE_INVALID = '1038';
    const REFUND_REFERENCE_INVALID = '574';
    const ID_REFUND_INVALID = '5806';

    /*InvocationContext*/
    const CLIENT_KEY_INVALID = '5418';
    const REQUESTOR_INVALID = '5419';
    const REQUESTOR_TYPE_INVALID = '5420';
    const CHANNEL_INVALID = '5416';
    const PRODUCT_INVALID = '5417';
    const IDEMPOTENT_REQUEST_KEY_INVALID = '100';
    const API_END_POINT_INVALID = '100';
    const ATTRIBUTES_INVALID = '100';
}
