<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/18/18
 * Time: 5:44 PM
 */

namespace Orbipay\PaymentsApi\Client\Enum;


class FundingAccountSubtype extends Enum
{
    const SAVINGS = 'savings';
    const CHECKING = 'checking';
    const MONEY_MARKET = 'money_market';
    const VISA_CREDIT = 'visa_credit';
    const MASTERCARD_CREDIT = 'mastercard_credit';
    const AMERICAN_EXPRESS_CREDIT = 'american_express_credit';
    const DISCOVER_CREDIT = 'discover_credit';
    const VISA_DEBIT = 'visa_debit';
    const MASTERCARD_DEBIT = 'mastercard_debit';
    const DISCOVER_DEBIT = 'discover_debit';

    /**
     * @method static FundingAccountSubtype SAVINGS()
     * @method static FundingAccountSubtype CHECKING()
     * @method static FundingAccountSubtype MONEY_MARKET()
     * @method static FundingAccountSubtype VISA_CREDIT()
     * @method static FundingAccountSubtype MASTERCARD_CREDIT()
     * @method static FundingAccountSubtype AMERICAN_EXPRESS_CREDIT()
     * @method static FundingAccountSubtype DISCOVER_CREDIT()
     * @method static FundingAccountSubtype VISA_DEBIT()
     * @method static FundingAccountSubtype MASTERCARD_DEBIT()
     * @method static FundingAccountSubtype DISCOVER_DEBIT()
     */
}