<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/18/18
 * Time: 5:39 PM
 */

namespace Orbipay\PaymentsApi\Client\Enum;


class PaymentMethod extends Enum
{
    const ACH = 'ach';
    const CHECK = 'check';
    const VISA_DEBIT = 'visa_debit';
    const PINLESS_DEBIT = 'pinless_debit';
    const MASTER_DEBIT = 'master_debit';
    const AMEX_CREDIT = 'amex_credit';
    const DISCOVER_CREDIT = 'discover_credit';
    const VISA_CREDIT = 'visa_credit';
    const MASTER_CREDIT = 'master_credit';
    const CASH = 'cash';
    const DISCOVER_DEBIT = 'discover_debit';

    /**
     * @method static PaymentMethod ACH()
     * @method static PaymentMethod CHECK()
     * @method static PaymentMethod VISA_DEBIT()
     * @method static PaymentMethod PINLESS_DEBIT()
     * @method static PaymentMethod MASTER_DEBIT()
     * @method static PaymentMethod AMEX_CREDIT()
     * @method static PaymentMethod DISCOVER_CREDIT()
     * @method static PaymentMethod VISA_CREDIT()
     * @method static PaymentMethod MASTER_CREDIT()
     * @method static PaymentMethod CASH()
     * @method static PaymentMethod DISCOVER_DEBIT()
     */
}