<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/18/18
 * Time: 5:36 PM
 */

namespace Orbipay\PaymentsApi\Client\Enum;


class PaymentStatus extends Enum
{
    const SCHEDULED = 'scheduled';
    const CANCELLED = 'cancelled';
    const PROCESSED = 'processed';
    const PROCESSING = 'processing';
    const RETURNED = 'returned';
    const DECLINED = 'declined';
    const DISPUTED = 'disputed';
    const REFUNDED = 'refunded';

    /**
     * @method static PaymentStatus SCHEDULED()
     * @method static PaymentStatus CANCELLED()
     * @method static PaymentStatus PROCESSED()
     * @method static PaymentStatus PROCESSING()
     * @method static PaymentStatus RETURNED()
     * @method static PaymentStatus DECLINED()
     * @method static PaymentStatus DISPUTED()
     * @method static PaymentStatus REFUNDED()
     */
}