<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 7/20/18
 * Time: 2:34 PM
 */

namespace Orbipay\PaymentsApi\Client\Model\Base;

class Created implements \JsonSerializable
{
    /**
     * @var string
     */
    private $requestor;

    /**
     * @var string
     */
    private $requestor_type;

    /**
     * @var string
     */
    private $channel;

    /**
     * @var string
     */
    private $timestamp;

    public function getRequestor()
    {
        return $this->requestor;
    }

    public function getRequestorType()
    {
        return $this->requestor_type;
    }
    public function getChannel()
    {
        return $this->channel;
    }

    public function getTimestamp()
    {
        return $this->timestamp;
    }

    /**
     * @param string $requestor
     */
    public function setRequestor($requestor = null)
    {
        $this->requestor = $requestor;
    }

    /**
     * @param string $requestorType
     */
    public function setRequestorType($requestorType = null)
    {
        $this->requestor_type = $requestorType;
    }

    /**
     * @param string $channel
     */
    public function setChannel($channel = null)
    {
        $this->channel = $channel;
    }

    /**
     * @param string $timestamp
     */
    public function setTimeStamp($timestamp = null)
    {
        $this->timestamp = $timestamp;
    }


    public function jsonSerialize()
    {
        return get_object_vars($this);
    }
}