<?php
/**
 * Created by PhpStorm.
 * User: Alacriti Inc.
 * Date: 2/7/19
 * Time: 5:14 PM
 */


namespace Orbipay\PaymentsApi\Client\Model\Payment;


use Orbipay\PaymentsApi\Client\Util\CommonUtil;
use JsonSerializable;

class PaymentNetworkResponse  implements JsonSerializable

{
    /**
     * @var string
     */
    private $payment_auth_code;

    /**
     * @return string
     */
    public function getPaymentAuthCode()
    {
        return $this->payment_auth_code;
    }

    /**
     * @param string $payment_auth_code
     */
    public function setPaymentAuthCode($payment_auth_code)
    {
        $this->payment_auth_code = $payment_auth_code;
    }

    /**
     * @var string
     */
    private $payment_response_code;

    /**
     * @return string
     */
    public function getPaymentResponseCode()
    {
        return $this->payment_response_code;
    }

    /**
     * @param string $payment_response_code
     */
    public function setPaymentResponseCode($payment_response_code)
    {
        $this->payment_response_code = $payment_response_code;
    }

    /**
     * @var string
     */
    private $payment_response_msg;


    /**
     * @return string
     */
    public function getPaymentResponseMsg()
    {
        return $this->payment_response_msg;
    }

    /**
     * @param string $payment_response_msg
     */
    public function setPaymentResponseMsg($payment_response_msg)
    {
        $this->payment_response_msg = $payment_response_msg;
    }



    public function __construct()
    {
    }


    /**
     * Specify data which should be serialized to JSON
     * @link http://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    public function jsonSerialize()
    {
        return CommonUtil::json_serialize(get_object_vars($this));
    }
}